GET /v1/runs/status-counts
Count all runs in the caller's organization, grouped by status. Optional since (RFC3339) restricts to runs started at or after that instant.

Query Parameters

since string optional query
RFC3339 timestamp; only count runs with startedAt >= since

Responses

200 OK
application/json
code integer
data object
failure integer
partial integer
running integer
success integer
total integer
waiting integer
message string
requestId string
400 Bad Request
403 Forbidden
curl -X GET 'https://api.example.com/v1/runs/status-counts' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/runs/status-counts', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/runs/status-counts', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/runs/status-counts", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 0,  "data": {    "failure": 123,    "partial": 123,    "running": 123,    "success": 123,    "total": 123,    "waiting": 123  },  "message": "successfully",  "requestId": "abc-123"}